Get WhatsApp template sync status
curl --request GET \
--url https://app.kapso.ai/api/v1/whatsapp_templates/sync_status \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.kapso.ai/api/v1/whatsapp_templates/sync_status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.kapso.ai/api/v1/whatsapp_templates/sync_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sync_requests": [
{
"id": "sync-run-123abc",
"business_account_id": "111111111111111",
"status": "succeeded",
"templates_synced": 15,
"templates_created": 5,
"templates_updated": 8,
"templates_removed": 2,
"queued_at": "2024-01-15T10:00:00Z",
"started_at": "2024-01-15T10:01:00Z",
"finished_at": "2024-01-15T10:05:00Z",
"affected_whatsapp_config_ids": [
"config-111",
"config-222"
]
},
{
"id": "sync-run-456def",
"business_account_id": "222222222222222",
"status": "running",
"templates_synced": 8,
"templates_created": 3,
"templates_updated": 4,
"templates_removed": 1,
"queued_at": "2024-01-15T10:15:00Z",
"started_at": "2024-01-15T10:16:00Z",
"finished_at": null,
"affected_whatsapp_config_ids": [
"config-333"
]
},
{
"id": "sync-run-789ghi",
"business_account_id": "333333333333333",
"status": "queued",
"templates_synced": 0,
"templates_created": 0,
"templates_updated": 0,
"templates_removed": 0,
"queued_at": "2024-01-15T10:30:00Z",
"started_at": null,
"finished_at": null,
"affected_whatsapp_config_ids": [
"config-444"
]
}
],
"summary": {
"total_requests": 3,
"queued": 1,
"running": 1,
"succeeded": 1,
"failed": 0,
"last_finished_at": "2024-01-15T10:05:00Z",
"templates_removed": 3
}
}WhatsApp Templates
Get WhatsApp template sync status
Retrieve the status of WhatsApp template synchronization operations.
Filtering Options:
- By specific sync request IDs
- By Business Account ID
- By WhatsApp config ID (automatically resolves to Business Account)
- By customer ID (finds all Business Accounts for customer’s configs)
Default Behavior:
- Without filters: Returns the latest sync request per Business Account
- With sync_request_ids: Returns those specific sync requests ordered by created_at desc
Response:
- Array of sync requests with their current status
- Summary statistics including counts by status and last finished timestamp
GET
/
whatsapp_templates
/
sync_status
Get WhatsApp template sync status
Authorizations
API key required for all endpoints
Query Parameters
Filter by specific sync request IDs (comma-separated)
Filter by WhatsApp Business Account ID
Filter by WhatsApp config ID (automatically resolves to Business Account)
Filter by customer ID (finds all Business Accounts for customer's production configs)

